<html>
<head>
  <title>Browse Directories</title>
</head>
<body>
<h1>Browsing</h1>
<?
/*
  // non OO version
  $current_dir = "/home/book/uploads/";
  $dir = opendir($current_dir);

  echo "Upload directory is $current_dir<br>";
  echo "Directory Listing:<br><hr><br>";
  while ($file = readdir($dir)) 
  {
      echo "$file<br>";
  }
  echo "<hr><br>"; 
  closedir($dir); 
*/

// OO version
  $current_dir = "/home/book/uploads/";
  $dir = dir($current_dir);

  echo "Upload directory is ".$dir->path."<br>";
  echo "Directory Listing:<br><hr><br>";
  while ($file = $dir->read())
  {
     echo "<a href=\"filedetails.php?file=".$file."\">".$file."</a><br>";
  }
  echo "<hr><br>";
  $dir->close();

?>
</body>
</html>
