<?
  
  $name=trim($name);
  $email=trim($email);
  $feedback=trim($feedback);

  if (!ereg("^[a-zA-Z0-9_]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-\.]+$", $email))
  {
    echo "That is not a valid email address.  Please return to the"
         ." previous page and try again.";
    exit;
  }
 
  $toaddress = "feedback@bobsdomain.com";  // the default value

  // Change the $toaddress if the criteria are met
  
  // String version
/*
  if (strstr($feedback, "shop"))
    $toaddress = "retail@bobsdomain.com";
  else if (strstr($feedback, "delivery"))
    $toaddress = "fulfilment@bobsdomain.com";
  else if (strstr($feedback, "bill"))
    $toaddress = "accounts@bobsdomain.com"; 

  $email_array = explode("@", $email);
  if ($email_array[1]=="bigcustomer.com")
    $toaddress = "bob@bobsdomain.com";

*/
  // regular expression version

  if (ereg("shop|customer service|retail", $feedback))
    $toaddress = "retail@bobsdomain.com";
  else if (ereg("deliver.*|fulfil.*", $feedback))
    $toaddress = "fulfilment@bobsdomain.com";
  else if (ereg("bill|account", $feedback))
    $toaddress = "accounts@bobsdomain.com";

  if (eregi("bigcustomer\.com", $email))
    $toaddress = "bob@bobsdomain.com";
  
  $subject = "Feedback from web site";
  $mailcontent = "Customer name: ".$name."\n"
                 ."Customer email: ".$email."\n"
                 ."Customer comments: \n".$feedback."\n";
  $fromaddress = "webserver@bobsdomain.com";

  mail($toaddress, $subject, $mailcontent, $fromaddress);  
?>
<html>
<head>
  <title>Bob's Auto Parts - Feedback Submitted</title>
</head>
<body>
<h1>Feedback submitted</h1>
<p>Your feedback (shown below) has been sent to <? echo $toaddress; ?></p>
<p><? echo nl2br($mailcontent); ?> </p>

</body>
</html>
